<section class="content">
  <form [formGroup]="userForm">

    <div class="box box-default">
      <div class="box-header with-border">
        <h3 class="box-title">Personal Details</h3>
      </div>

     
      <div class="box-body">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label>First Name
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control"  placeholder="Enter First Name" [(ngModel)]="userDetails[0].firstname" formControlName="firstname">
              <span class="help-block" *ngIf="userForm.get('firstname').touched && userForm.get('firstname').hasError('required')">Required Field
              </span>
            </div>
            <div class="form-group">

              <label>Mobile Number
                <span class="mds"> * </span>
              </label>

              <input type="text" class="form-control"  placeholder="Enter Mobile Number" [(ngModel)]="userDetails[0].mobilenum" formControlName="mobilenum">
              <span class="help-block" *ngIf="userForm.get('mobilenum').touched && userForm.get('mobilenum').hasError('required')">Required Field</span>
              <span class="help-block" *ngIf="userForm.controls['mobilenum'].hasError('maxlength')">can't exceed 10 numbers</span>
              <span class="help-block" *ngIf="userForm.controls['mobilenum'].hasError('minlength')">please enter 10 numbers</span>

            </div>
            <div class="form-group">
              <label>Aadhar Number
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter Aadhar Number" formControlName="aadharnumber" (blur)="checkAadhar(userForm.value.aadharnumber)">
              <span class="help-block" *ngIf="userForm.get('aadharnumber').touched && userForm.get('aadharnumber').hasError('required')">Required Field</span>
              <span class="help-block" *ngIf="userForm.get('aadharnumber').dirty && userForm.get('aadharnumber').invalid">please enter valid Number</span>

              <span class="help-block" *ngIf="aadhar"> Aadhar Number already Exist </span>

            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label>Gender
                  <span class="mds"> * </span>
                </label>
                <select class="form-control" [(ngModel)]="userDetails[0].gender"  formControlName="gender">
                  <option *ngFor="let gender of gender">{{gender.gender}}</option>
                </select>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label>Role
                  <span class="mds"> * </span>
                </label>
                <select class="form-control" formControlName="role">
                  <option *ngFor="let role of role">{{role.role}}</option>
                </select>
              </div>
            </div>
           
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label>Last Name
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control"   placeholder="Enter Last Name" [(ngModel)]="userDetails[0].lastname"  formControlName="lastname">
              <span class="help-block" *ngIf="userForm.get('lastname').touched && userForm.get('lastname').hasError('required')">Required Field
              </span>
            </div>
            <div class="form-group">
              <label>E-Mail
                <span class="mds"> * </span>
              </label>


              <input type="text" class="form-control"  placeholder="Enter E-Mail id" [(ngModel)]="userDetails[0].email"  formControlName="email">
              <span class="help-block" *ngIf="userForm.get('email').touched && userForm.get('email').hasError('required')">Required Field</span>
              <span class="help-block" *ngIf="userForm.get('email').dirty && userForm.get('email').invalid">please enter valid Email</span>
            </div>
            <div class="form-group">
              <label>PAN Number
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter PAN Number" formControlName="pannumber" (blur)="checkPan(userForm.value.pannumber)">
              <span class="help-block" *ngIf="userForm.get('pannumber').touched && userForm.get('pannumber').hasError('required')">Required Field
              </span>
              <span class="help-block" *ngIf="userForm.get('pannumber').dirty && userForm.get('pannumber').invalid">please enter valid Number</span>
              <span class="help-block" *ngIf="pan"> PAN Number already Exist </span>

            </div>
          </div>
        </div>
      </div>

    </div>

    <div class="box box-default">
      <div class="box-header with-border">
        <h3 class="box-title">Location Details</h3>


      </div>
      <div class="box-body">
        <div class="row">
          <div class="col-md-3">
            <div class="form-group">
              <label>Country 
                <span class="mds"> * </span>
              </label>           
              <select class="form-control" [(ngModel)]="country" formControlName="country" (change)="stateList()" >          
                <option *ngFor="let country of countries" [ngValue]="country.id">{{country.countryname}} </option>
                 </select> 
              <span class="help-block" *ngIf="userForm.get('country').touched && userForm.get('country').hasError('required')">Required Field
              </span> 
            </div> 

            <div class="form-group">
              <label>Address1
                <span class="mds"> * </span>
              </label>
              <textarea class="form-control" placeholder="Enter Address" formControlName="address1"> </textarea>
              <span class="help-block" *ngIf="userForm.get('address1').touched && userForm.get('address1').hasError('required')">Required Field
              </span>
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label>state
                <span class="mds"> * </span>
              </label>
              <select class="form-control" [(ngModel)]="state" formControlName="state" (change)="getDistrict()">
                <option *ngFor="let state of states" [ngValue]="state.id">{{state.statename}} </option>
              </select>
              <span class="help-block" *ngIf="userForm.get('state').touched && userForm.get('state').hasError('required')">Required Field
              </span>
            </div>
            <div class="form-group">
              <label>Address2 </label>
              <textarea class="form-control"  formControlName="address2" placeholder="Enter Address"> </textarea>
            </div>

          </div>
          <div class="col-md-3">
            <div class="form-group">
              <label>District
                <span class="mds"> * </span>
              </label>
              <select class="form-control" [(ngModel)]="district" formControlName="district" (change)="getCity()">
                <option *ngFor="let district of districts" [ngValue]="district.id">{{district.districtame}} </option>

              </select>
              <span class="help-block" *ngIf="userForm.get('district').touched && userForm.get('district').hasError('required')">Required Field
              </span>
            </div>
            <div class="form-group">
              <label>Address3 </label>
              <textarea class="form-control" formControlName="address3" placeholder="Enter Address"> </textarea>
            </div>
          </div>

          <div class="col-md-3">
            <div class="form-group">
              <label>City
                <span class="mds"> * </span>
              </label>
              <select class="form-control" formControlName="city">
                <option *ngFor="let city of cities"> {{city.cityname}} </option>
              </select>
              <span class="help-block" *ngIf="userForm.get('city').touched && userForm.get('city').hasError('required')">Required Field
              </span>
            </div>

          </div>
        </div>
      </div>

    </div>
    <div class="box box-default">
      <div class="box-header with-border">
        <h3 class="box-title">Bank Details</h3>


      </div>
      <div class="box-body">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label>Bank Name
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter Bank Name " formControlName="bankname">
              <span class="help-block" *ngIf="userForm.get('bankname').touched && userForm.get('bankname').hasError('required')">Required Field
              </span>
            </div>

            <div class="form-group">
              <label>Account Holder Name
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter Account Holder name" formControlName="accountholdername">
              <span class="help-block" *ngIf="userForm.get('accountholdername').touched && userForm.get('accountholdername').hasError('required')">Required Field
              </span>


            </div>
            <div class="form-group">
              <label>ZIP Code
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter ZIP Code" formControlName="zipcode">
              <span class="help-block" *ngIf="userForm.get('zipcode').touched && userForm.get('zipcode').hasError('required')">Required Field
              </span>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label>Account Number
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter Account Number" formControlName="accountnumber" (blur)="checkAccountNumber(userForm.value.accountnumber)">
              <span class="help-block" *ngIf="userForm.get('accountnumber').touched && userForm.get('accountnumber').hasError('required')">Required Field
              </span>
            </div>

            <div class="form-group">
              <label>IFSC Code
                <span class="mds"> * </span>
              </label>
              <input type="text" class="form-control" placeholder="Enter IFSC Code" formControlName="ifsccode">
              <span class="help-block" *ngIf="userForm.get('ifsccode').touched && userForm.get('ifsccode').hasError('required')">Required Field
              </span> 
            </div>

          </div>
        </div>
      </div>

    </div>

    <div class="box-footer">
      <button (click)="userForm.reset()" class="btn btn-default pull-right">Cancel</button> &nbsp; &nbsp; &nbsp;
      <button type="submit" (click)="updateData(userForm.value)" class="btn btn-info pull-right"> Update </button>
    </div>



  </form>
</section>